%define shortname DisplayConstraints
%define name gdesklets-%{shortname}
%define version 0.1.0
%define release 2mdk
%define archivename %{shortname}-%{version}

Name:           %{name}
Summary:        GDesklets sensor to set maximum constraints on a display. 
Version:        %{version}
Release:        %{release}
Url:		http://gdesklets.gnomedesktop.org/categories.php?func=gd_show_app&gd_app_id=61
Source0:	%{archivename}.tar.bz2
Source1:	Makefile_install_scripts.tar.bz2
Group:		Graphical desktop/GNOME
License:	GPL
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch:	noarch

%description
This sensor allows a user to set maximum constraints on a display.

The display will then not grow larger then the maximum values specified.

To add the display, use one of:
gdesklets-add-displayconstraints-display


%prep
%setup -q -n %{archivename} -a 1

%build
%make PACKAGE_NAME=%{shortname}

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std PACKAGE_NAME=%{shortname}

rm -f $RPM_BUILD_ROOT%{_bindir}/*

cat > $RPM_BUILD_ROOT%{_bindir}/gdesklets-add-displayconstraints-display << EOF
#!/bin/sh
gdesklets %{_datadir}/gdesklets/Displays/DisplayConstraints/displayconstraints.display
EOF
chmod 755 $RPM_BUILD_ROOT%{_bindir}/gdesklets-add-displayconstraints-display

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_bindir}/*
%{_datadir}/gdesklets/Displays/*
%{_datadir}/gdesklets/Sensors/*

%changelog
* Tue Aug 24 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.1.0-2mdk
- update source1 for 0.30

* Wed Jul 14 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.1.0-1mdk
- Initial mdk package

